headless lms

Remove a file from an event

DELETE /api/events/{eventId}/assets/{assetId}. Remove a file from an event. Headless LMS Events API reference.

DELETE
/api/events/{eventId}/assets/{assetId}

Requires events:write. The library file itself survives. Returns the event's files.

Path Parameters

eventId*string
assetId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/events/string/assets/string"
[  {    "orgId": "string",    "id": "string",    "eventId": "string",    "assetId": "string",    "seq": -9007199254740991,    "displayName": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "filename": "string",    "contentType": "string",    "size": 0,    "url": "string"  }]
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}